# $Revision: 1.14 $, $Date: 2004/05/07 01:09:16 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Compress
%define		pnam	SelfExtracting
Summary:	Compress::SelfExtracting - create compressed scripts
Summary(pl):	Compress::SelfExtracting - tworzenie samorozpakowujcych si skryptw
Name:		perl-Compress-SelfExtracting
Version:	0.04
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	e1151e0602e01f88e6c8ae1f4ea70b59
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Digest-MD5 >= 0.01
BuildRequires:	perl-Filter-Simple
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Compress::SelfExtracting allows you to create pure-Perl
self-extracting scripts using a variety of compression algorithms.
These scripts will then run on any system with a recent version of
Perl.

%description -l pl
Modu Compress::SelfExtracting pozwala na tworzenie czysto perlowych
samorozpakowujcych si skryptw przy uyciu rnych algorytmw
kompresji. Te skrypty bd dziaay na kadym systemie ze wspczesn
wersj Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Compress
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Compress-SelfExtracting.spec,v $
Revision 1.14  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.13  2004/05/06 18:09:21  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/18 22:17:09  ankry
- license fixes and cosmetics

Revision 1.11  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:37:39  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:28:18  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/08/24 17:11:20  kloczek
- (auto)updated to 0.04.

Revision 1.3  2002/07/28 16:47:25  kloczek
- release 2.

Revision 1.2  2002/07/21 12:21:57  qboosh
- BR: perl-Filter-Simple

Revision 1.1  2002/07/21 01:18:45  qboosh
- new
